## golang-github-cznic-bufs 0.0~git20140818.0.3dcccbd

=== Makefile ===
# Copyright 2014 The bufs Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

all: clean
	go fmt
	go test -i
	go test
	go build
	go vet
	golint .
	go install
	make todo

todo:
	@grep -n ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alnum:]] *.go || true
	@grep -n TODO *.go || true
	@grep -n FIXME *.go || true
	@grep -n BUG *.go || true

clean:
	rm -f bufs.test mem.out *~

demo:
	go test -bench . -benchmem
	go test -c
	./bufs.test -test.v -test.run Foo -test.memprofile mem.out \
		-test.memprofilerate 1
	go tool pprof bufs.test mem.out --alloc_space --nodefraction 0.0001 \
	       --edgefraction 0	-web
	@echo "Note: Foo vs FooBufs allocated memory is in hundreds of MBs vs 8 kB."

=== debian/changelog ===
golang-github-cznic-bufs (0.0~git20140818.0.3dcccbd-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.
  * Fix insecure-copyright-format-uri.
  * Set Testsuite: autopkgtest-pkg-go.

 -- Alexandre Viau <aviau@debian.org>  Sun, 22 Apr 2018 16:15:52 -0400

golang-github-cznic-bufs (0.0~git20140818.0.3dcccbd-1) unstable; urgency=medium

  * Initial release (Closes: #816786).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 05 Mar 2016 20:39:10 +1100

=== debian/control ===
Source: golang-github-cznic-bufs
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-golang,
               golang-go
Standards-Version: 3.9.7
Homepage: https://github.com/cznic/bufs
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cznic-bufs
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cznic-bufs.git
XS-Go-Import-Path: github.com/cznic/bufs
Testsuite: autopkgtest-pkg-go

Package: golang-github-cznic-bufs-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go
Description: simple buffer cache
 Golang implementation of simple buffer cache.
